6个有趣的命令行工具(终端中的乐趣) - 第二部分
================================================================================
在之前, 我们给出类一些有关有趣的 Linux 命令行命令的文章, 这些文章告诉我们, Linux 并不像看起来那样复杂, 如果我们知道如何使用的话, 反而会非常有趣. Linux 命令行可以简洁而完美地执行一些复杂的任务, 并且十分有趣.

- [Linux命令及Linux终端的20个趣事][3]
- [Fun in Linux Terminal – Play with Word and Character Counts][2]

![Funny Linux Commands](http://www.tecmint.com/wp-content/uploads/2014/08/Funny-Linux-Commands.png)
有趣的 Linux 命令

之前的一篇文章包含了 20 个有趣的 Linux 命令/脚本(和子命令), 得到了读者的高度赞扬. 而另一篇文章则包含了一些处理文字文件, 单词和字符串的命令/脚本和改进, 虽然没有之前那篇文章那么受欢迎.

这篇文章介绍了一些新的有趣的命令和单行脚本.

### 1. pv 命令 ###

你也许曾经看见电影里的模仿文字, 它们好像是被实时打出来的. 如果我么能在终端里实现这样的效果, 那不是很好?

这是可以做到的. 我们可以安装通过 '**apt**' 或者 '**yum**' 工具在 Linux 系统上安装 '**pv**' 命令. 安装命令如下?

	# yum install pv			[在基于 RedHat 的系统上]

	# sudo apt-get install pv			[在基于 Debian 的系统上]

'**pv**' 命令安装成功之后, 我们尝试输入下面的命令来在终端查看实时文字输出的效果.

    $ echo "Tecmint[dot]com is a community of Linux Nerds and Geeks" | pv -qL 10 

![pv command in action](http://www.tecmint.com/wp-content/uploads/2014/08/pv-command.gif)
正在运行的 pv 命令

**注意**: '**q**' 选项表示'安静'(没有其他输出信息), '**L**' 选项表示每秒转化的字节数上限. 数字变量(必须是整数)用来调整预设的文本模拟.(To be fixed: 这里翻译有问题)

### 2. toilet 命令 ###

用单行命令 '**toilet**' 在终端里显示有边框的文字值一个不错的主意. 同样, 你必须保证 '**toilet**' 已经安装在你的电脑上. 如果没有的话, 请使用 apt 或 yum 安装. (译者注: 'toilet' 并不在 Fedora 的官方仓库里, 你可以从 github 上下载源代码来安装)

    $ while true; do echo “$(date | toilet -f term -F border –Tecmint)”; sleep 1; done

![toilet command in action](http://www.tecmint.com/wp-content/uploads/2014/08/toilet-command.gif)
正在运行的 toilet 命令

**注意**: 上面的脚本需要使用 **ctrl+z** 键来暂停.

### 3. rig 命令 ###

这个命令每次生成一个随机的身份信息和地址. 要运行这个命令, 你需要用 apt 或 yum 安装 '**rig**'. (译者注: 'rig' 不在 Fedora 的官方仓库中, 我只在 rpmseek 上找到了 Ubuntu 的 deb 包, 可以使用它来安装.)

    # rig

![rig command in action](http://www.tecmint.com/wp-content/uploads/2014/08/rig-command.gif)
正在运行的 rig 命令

### 4. aview 命令 ###

你认为在终端用 ASCII 格式显示图片怎么样? 我们必须用 apt 或 yum 安装软件包 '**aview**'. (译者注: 'avieww' 不在 Fedora 的官方仓库中, 可以从 aview 的[项目主页][4]上下载源代码来安装. ) 在当前文件夹下有一个名为 '**elephant.jpg**' 的图片, 我想用 ASCII 模式在终端查看.

    $ asciiview elephant.jpg -driver curses 

![aview command in action](http://www.tecmint.com/wp-content/uploads/2014/08/elephant.gif)
正在运行的 aview 命令

### 5. xeyes 命令 ###

在上一篇文章中, 我们介绍了 '**oneko**' 命令, 它可以显示一个追随鼠标指针运动的小老鼠. '**xeyes**' 是一个类似的程序, 当你运行程序时, 你可以看见两个怪物的眼球追随鼠标的运动.

    $ xeyes

![xeyes command in action](http://www.tecmint.com/wp-content/uploads/2014/08/xeyes.gif)
正在运行的 xeyes 命令

### 6. cowsay 命令 ###

你是否还记得上一次我们介绍的这个命令? 它可以显示一段预先确定的文本和一个字符构成的奶牛. 如果你想使用其它动物来代替奶牛怎么办? 查看可用的动物列表:

    $ cowsay -l 

蟒蛇吃大象怎么样?

    $ cowsay -f elephant-in-snake Tecmint is Best 

![cowsay command in action](http://www.tecmint.com/wp-content/uploads/2014/08/cowsay.gif)
正在运行的 cowsay 命令

山羊怎么样?

    $ cowsay -f gnu Tecmint is Best 

![cowsay goat in action](http://www.tecmint.com/wp-content/uploads/2014/08/cowsay-goat.gif)
正在运行的 山羊cowsay 命令

今天就到这里吧. 我将带着另一篇有趣的文章回来. 跟踪 Tecmint 来获得最新消息. 不要忘记在下面的评论里留下你的有价值的回复.

--------------------------------------------------------------------------------

via: http://www.tecmint.com/linux-funny-commands/

作者：[Avishek Kumar][a]
译者：[wangjiezhe](https://github.com/wangjiezhe)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[a]:http://www.tecmint.com/author/avishek/
[1]:http://www.tecmint.com/20-funny-commands-of-linux-or-linux-is-fun-in-terminal/
[2]:http://www.tecmint.com/play-with-word-and-character-counts-in-linux/
[3]:http://linux.cn/article-2831-1.html
[4]:http://aa-project.sourceforge.net/aview/
